#!/usr/bin/env python
PACKAGE = "panda_mover"

from dynamic_reconfigure.parameter_generator_catkin import *

gen = ParameterGenerator()

Gripper = gen.add_group("Gripper")
Gripper.add("Close", bool_t, 0, "Grasp", False)
Gripper.add("Open", bool_t, 0, "Grasp", False)

Trajectory = gen.add_group("Trajectory")
Trajectory.add("publish_traj", bool_t, 0, "Publish the trajectory",False)
Trajectory.add("play_traj", bool_t, 0, "Start the trajectory",False)
Trajectory.add("run_cycletime_test", bool_t, 0, "Run cycle-time time", False)

Distance = gen.add_group("Human Distance")
Distance .add("start_human_", bool_t, 0, "Start human _motion", False)
Distance .add("human_vel_", double_t, 0, "Human velocity", 2, 0, 8)
Distance.add("override_distance", bool_t, 0, "Override the distance with d_c",False)
Distance.add("d_c", double_t, 0, "Human robot distance", 0.5, 0, 0.5)

exit(gen.generate(PACKAGE, "dynamic_params", "param"))

